/*
 * Copyright (c) 2008-2012 GIANTS Software GmbH, Confidential, All Rights Reserved.
 * Copyright (c) 2003-2012 Christian Ammann and Stefan Geiger, Confidential, All Rights Reserved.
 */

precision mediump float;

uniform lowp sampler2D s_TexUnit0;
uniform lowp sampler2D s_TexUnit1;
uniform mediump vec4 u_partScale;

varying mediump vec2 v_TexCoord0;

void main()
{
    mediump vec4 emissiveColorDay = texture2D(s_TexUnit0, v_TexCoord0);
    mediump vec4 emissiveColorNight = texture2D(s_TexUnit1, v_TexCoord0);
    gl_FragColor = emissiveColorDay * u_partScale.x + emissiveColorNight * (1.0 - u_partScale.x);
}
